| Flutter Impeller |

Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
impeller::HandleGLES Struct Reference

`#include <handle_gles.h>`

## Classes
struct | Equal
struct | Hash

## Public Member Functions
constexpr bool | IsDead () const

## Static Public Member Functions
static HandleGLES | DeadHandle ()

## Public Attributes
HandleType | type = HandleType::kUnknown
std::optional< UniqueID > | name

## Friends
class | ReactorGLES

## Detailed Description

Definition at line 31 of file handle_gles.h.

## Member Function Documentation

## ◆ DeadHandle()

static HandleGLES impeller::HandleGLES::DeadHandle | ( |  | ) |
| inline static

Definition at line 35 of file handle_gles.h.

35 {
36 return HandleGLES{HandleType::kUnknown, std::nullopt};
37 }

References impeller::kUnknown.

Referenced by impeller::ReactorGLES::CreateHandle().

## ◆ IsDead()

constexpr bool impeller::HandleGLES::IsDead | ( |  | ) | const
| inline constexpr

Definition at line 39 of file handle_gles.h.

39 { return !name.has_value(); }

References name.

Referenced by std::operator<<(), impeller::ReactorGLES::SetDebugLabel(), and impeller::DeviceBufferGLES::~DeviceBufferGLES().

## Friends And Related Function Documentation

## ◆ ReactorGLES

friend class ReactorGLES
| friend

Definition at line 56 of file handle_gles.h.

## Member Data Documentation

## ◆ name

std::optional<UniqueID> impeller::HandleGLES::name

Definition at line 33 of file handle_gles.h.

Referenced by IsDead(), impeller::HandleGLES::Hash::operator()(), impeller::HandleGLES::Equal::operator()(), and std::operator<<().

## ◆ type

HandleType impeller::HandleGLES::type = HandleType::kUnknown

Definition at line 32 of file handle_gles.h.

Referenced by impeller::HandleGLES::Hash::operator()(), impeller::HandleGLES::Equal::operator()(), and std::operator<<().

The documentation for this struct was generated from the following file:

- impeller/renderer/backend/gles/handle_gles.h

impeller::HandleType::kUnknown
@ kUnknown
impeller::HandleGLES::name
std::optional< UniqueID > name
Definition: handle_gles.h:33